Module
Inhalte
Index 🔎︎

# Anweisung DefCur

Wenn kein Zeichen oder Schlüsselwort zur Typendeklaration angegeben ist, setzt die DefCur-Anweisung den Standardvariablentyp entsprechend einem Buchstabenbereich.

## Syntax:

    Defxxx Zeichenbereich1[, Zeichenbereich2[,...]]

## Parameter:

Zeichenbereich: Buchstaben, welche die Variablen-Namensbereiche der zu definierenden Standard-Datentypen festlegen.

xxx: Schlüsselwort zur Definition des Standard-Variablentyps:

Schlüsselwort: voreingestellter Variablentyp

DefCur: Currency

## Beispiel:

    ' Prefix-Definitionen für die verschiedenen Typen von Variablen:

    DefBool b

    DefDate t

    DefDbl d

    DefInt i

    DefLng l

    DefObj o

    DefVar v

    DefCur c

    Sub ExampleDefCur

        cCur=Currency ' cCur ist eine implizite currency-Variable.

    End Sub